routes/web.php
<?php

use App\Http\Controllers\Web\Admin\{
    CustomerController, OrderController, ProductController, UserController
};
use App\Http\Controllers\Web\AuthController;
use Illuminate\Support\Facades\Route;

/*
|--------------------------------------------------------------------------
| Web Routes
|--------------------------------------------------------------------------
|
| Here is where you can register web routes for your application. These
| routes are loaded by the RouteServiceProvider within a group which
| contains the "web" middleware group. Now create something great!
|
*/

Route::redirect('/', '/admin', 201);

Route::group(['prefix' => 'admin'], function () {
    Route::group(['middleware' => ['guest']], function () {
        Route::post('login',[AuthController::class,'login'])->name('login');
        Route::view('/login','pages.login');
    });

    Route::group(['middleware' => ['auth']], function () {
        Route::view('/', 'index')->name('index');
        Route::view('dashboard', 'index')->name('dashboard');
        Route::resource('customers', CustomerController::class);
        Route::resource('products', ProductController::class);
        Route::resource('orders', OrderController::class);
        Route::resource('users', UserController::class);
    });

});

app/Models/Order.php
<?php

namespace App\Models;

use Illuminate\Database\Eloquent\Factories\HasFactory;
use Illuminate\Database\Eloquent\Model;

class Order extends Model
{
    use HasFactory;

    protected $fillable =[
        'name', 'customer_id'
    ];

    public function customers(){
        return $this->belongsTo(Customer::class, 'customer_id', 'id');
    }

    public function products(){
        return $this->belongsToMany(Product::class, 'order_products');
    }
}

app/Http/Controllers/API/OrderController.php
<?php

namespace App\Http\Controllers\API;

use App\Http\Controllers\Controller;
use App\Models\Order;
use Illuminate\Http\Request;

class OrderController extends Controller
{
    /**
     * Display a listing of the resource.
     *
     * @return \Illuminate\Http\Response
     */
    public function index()
    {
        $orders = Order::with('products')->get();
        return sendResponse($orders->toArray(),'success',200);
    }

    /**
     * Show the form for creating a new resource.
     *
     * @return \Illuminate\Http\Response
     */
    public function create()
    {
        //
    }

    /**
     * Store a newly created resource in storage.
     *
     * @param  \Illuminate\Http\Request  $request
     * @return \Illuminate\Http\Response
     */
    public function store(Request $request)
    {
        //
    }

    /**
     * Display the specified resource.
     *
     * @param  int  $id
     * @return \Illuminate\Http\Response
     */
    public function show($id)
    {
        //
    }

    /**
     * Show the form for editing the specified resource.
     *
     * @param  int  $id
     * @return \Illuminate\Http\Response
     */
    public function edit($id)
    {
        //
    }

    /**
     * Update the specified resource in storage.
     *
     * @param  \Illuminate\Http\Request  $request
     * @param  int  $id
     * @return \Illuminate\Http\Response
     */
    public function update(Request $request, $id)
    {
        //
    }

    /**
     * Remove the specified resource from storage.
     *
     * @param  int  $id
     * @return \Illuminate\Http\Response
     */
    public function destroy($id)
    {
        //
    }
}

app/Http/Controllers/Web/Admin/OrderController.php
<?php

namespace App\Http\Controllers\Web\Admin;

use App\Http\Controllers\Controller;
use App\Models\Customer;
use App\Models\Order;
use App\Models\OrderProduct;
use App\Models\Product;
use Illuminate\Http\Request;

class OrderController extends Controller
{
    /**
     * Display a listing of the resource.
     *
     * @return \Illuminate\Http\Response
     */
    public function index()
    {
        $orders = Order::get();
        return view('pages.orders.index', compact('orders'));
    }

    /**
     * Show the form for creating a new resource.
     *
     * @return \Illuminate\Http\Response
     */
    public function create()
    {
        $customers = Customer::get();
        $products = Product::get();
        $edit = false;
        $readonly = false;
        return view('pages.orders.edit-add', compact('customers', 'products', 'readonly', 'edit'));
    }

    /**
     * Store a newly created resource in storage.
     *
     * @param  \Illuminate\Http\Request  $request
     * @return \Illuminate\Http\Response
     */
    public function store(Request $request)
    {
        $request->validate([
            'name' => ['required', 'string'],
        ]);
        $data = $request->except(['_token']);
        $order = Order::create($data);
        foreach ($data['products'] as $product) {
            $order->products()->attach($product);
        }
        return redirect()->route('orders.index');
    }

    /**
     * Display the specified resource.
     *
     * @param  \App\Models\Order  $order
     * @return \Illuminate\Http\Response
     */
    public function show($id)
    {
        $order = Order::find($id);
        $customers = Customer::get();
        $products = $order->products()->get();
        $readonly = true;
        $edit = false;
        return view('pages.orders.edit-add',compact('order', 'customers', 'products','readonly','edit'));
    }

    /**
     * Show the form for editing the specified resource.
     *
     * @param  \App\Models\Order  $order
     * @return \Illuminate\Http\Response
     */
    public function edit($id)
    {
        $order = Order::findOrFail($id);
        $customers = Customer::get();
        $products = Product::get();
        $edit = true;
        $readonly = false;
        return view('pages.orders.edit-add',compact('order', 'customers', 'products','edit','readonly'));
    }

    /**
     * Update the specified resource in storage.
     *
     * @param  \Illuminate\Http\Request  $request
     * @param  \App\Models\Order  $order
     * @return \Illuminate\Http\Response
     */
    public function update(Request $request, $id)
    {
        $request->validate([
            'name' => ['required', 'string'],
        ]);
        $data = $request->except(['_method','_token']);
        $order = Order::findOrFail($id);
        $order->update($data);
        foreach ($data['products'] as $product) {
            if($order->products()->where('id', $product)->get()->isEmpty())
                $order->products()->attach($product);
        }
        return redirect()->route('orders.index');
    }

    /**
     * Remove the specified resource from storage.
     *
     * @param  \App\Models\Order  $order
     * @return \Illuminate\Http\Response
     */
    public function destroy($id)
    {
        Order::destroy($id);
        return redirect()->route('orders.index');
    }
}

resources/views/pages/orders/edit-add.blade.php
<x-layout.form :title="__('Add Orders')">
    <div class="row">
        <div class="col-xl-12">
            <div class="card-box">
                {{-- <h4 class="header-title mt-0 mb-3">Horizontal Form</h4> --}}

                <form class="form-horizontal" user="form" method="POST" action="{{($edit?? false) ?route('orders.update',['order'=>$order->id]):  route('orders.store') }}" data-parsley-validate novalidate autocomplete="off">
                    @if ($edit)
                        @method('put')
                    @endif
                    @if ($readonly)
                        @method('get')
                    @endif
                    @csrf
                    <div class="form-group row">
                        <div class="col-md-6">
                            <label for="name">{{__('Name')}}*</label>
                            <x-UI.forms.input :readonly=$readonly name="name" :value="old('name',$order['name']??'')" :placeholder="__('Name')" />
                        </div>
                        <div class="form-group col-md-6">
                            <label for="username">{{__('Customer')}}*</label>
                            <x-UI.forms.select2 :readonly=$readonly name="customer_id" :placeholder="__('Customers')">
                                @foreach ($customers as $customer)
                                    <option value="{{$customer->id}}" {{old('customer_id', $order->customer_id ?? '') == $customer->id ? 'selected' : ''}}>
                                        {{$customer->name}}
                                    </option>
                                @endforeach
                            </x-UI.forms.select2>
                        </div>
                    </div>
                    <div class="form-group row">
                        <div class="form-group col-md-6">
                            <label for="username">{{__('Products')}}*</label>
                            @foreach ($products as $product)
                                <div class="custom-control custom-checkbox">
                                    <input type="checkbox" class="custom-control-input" {{$readonly || ($edit && !$order->products()->get()->where('id', $product->id)->isEmpty()) ? "checked" : ''}} {{$readonly ? 'disabled':''}} id="product_{{$product->id}}" name="products[]" value="{{$product->id}}">
                                    <label class="custom-control-label" for="product_{{$product->id}}">{{$product->name}}</label>
                                </div>
                            @endforeach
                        </div>
                    </div>
                    <div class="form-group row mt-5">
                        <div class="offset-sm-4 col-sm-8">
                            @if (!$readonly)
                            <button type="submit" class="btn btn-primary waves-effect waves-light mr-1">
                                {{ ($edit ? __('Edit'):__('Add',['attr'=>' '])) }}
                            </button>
                            @endif
                            <a  href="{{route('orders.index')}}"
                                    class="btn btn-secondary waves-effect waves-light">
                                {{__('Back')}}
                            </a>
                        </div>
                    </div>

                </form>
            </div>
        </div><!-- end col -->
    </div>
</x-layout.form>

resources/views/pages/orders/index.blade.php
<x-layout.data-table title="{{__('Orders')}}">

    @push('plugin-css')
    <link rel="stylesheet" href="{{asset('assets/libs/datatables/buttons.bootstrap4.css')}}">
    @endpush
    <div class="row">
        <div class="col-12">
            <div class="card-box">
                <div class="d-inline-block mt-0 header-title mb-2">
                    <div class="float-left">
                        <a href="{{route('orders.create')}}" class="btn btn-success waves-effect  waves-light">
                            <i class="fas fa-plus"></i>
                            {{__('Add Order')}}
                        </a>
                    </div>

                </div>
                <div class=" dt-responsive">
                    <table id="orders" class="table table-bordered dt-responsive nowrap mt-5">
                        <thead>
                        <tr>
                            <th>{{__('#')}}</th>
                            <th>{{__('Name')}}</th>
                            <th>{{__('Customer')}}</th>
                            <th>{{__('Created At')}}</th>
                            <th data-orderable="false">{{__('Actions')}}</th>
                        </tr>
                        </thead>


                        <tbody>
                            @foreach ($orders as $order)
                            <tr>
                                <td>{{$order->id}}</td>
                                <td>{{$order->name}}</td>
                                <td>{{$order->customers()->first()->name}}</td>
                                <td>{{$order->created_at->format('d-M-Y')}}</td>
                                <td>
                                    <a href="{{route('orders.show',['order'=>$order->id])}}" class="btn btn-info waves-effect btn-sm waves-light">
                                        <i class="far fa-eye"></i>
                                        {{__('View')}}
                                    </a>
                                    <a href="{{route('orders.edit',['order'=>$order->id])}}" class="btn btn-warning waves-effect btn-sm waves-light">
                                        <i class=" fas fa-edit"></i>
                                        {{__('Edit')}}
                                    </a>
                                    <a  href="javascript" onclick="$('#modal-form').attr('action','{{route('orders.destroy',['order'=>$order->id])}}');
                                        $('#delete-name').text('{{$order->name}}')""  data-toggle="modal" data-target="#modal" class="btn btn-danger  waves-effect btn-sm waves-light">
                                        <i class="fas fa-trash"></i>
                                        {{__('Delete')}}
                                    </a>
                                </td>
                            </tr>
                            @endforeach
                        </tbody>
                    </table>
                </div>

            </div>
        </div>
    </div>
    <x-UI.modal.scroll-modal :title="__('Delete',['attr'=>__('Order')])" :body="__('Order')"/>
        @push('plugin-js')
        {{-- <script src="{{asset("assets/libs/datatables/dataTables.buttons.min.js")}}"></script> --}}
        {{-- <script src="{{asset("assets/libs/datatables/buttons.html5.min.js")}}"></script> --}}
        {{-- <script src="{{asset("/assets/libs/jszip/jszip.min.js")}}"></script> --}}
        @endpush

        @push('javascript')
<script>
    $(document).ready(function() {
            var table = $('#orders').DataTable( {
                orderCellsTop: true,
                fixedHeader: true,
                dom: 'Bfrtip',
                buttons: [
                    {
                        extend :'excel',
                        text:"Export to Excel File",
                        exportOptions: {
                            columns: [ 0, 1, 2, 3 ],
                        },
                        className: 'btn btn-success waves-effect  waves-light',
                    }
                ]
            });
        });
</script>
        @endpush
</x-layout.data-table >